:root {
    --clr-gradient: to right, hsl(6, 100%, 80%), hsl(335, 100%, 65%);
    --clr-pale-blue: hsl(243, 100%, 93%);
    --clr-grayish-blue: hsl(229, 7%, 55%);
    --clr-dark-blue: hsl(228, 56%, 26%);
    --clr-very-dark-blue: hsl(229, 57%, 11%);
    --clr-white: hsl(0, 0%, 100%);

    --ff-default: "Raleway", sans-serif;

    --fw-400: 400;
    --fw-700: 700;
}

body {
    height: 100vh;
    font-family: var(--ff-default);
    font-size: 0.875rem;
    font-weight: var(--fw-400);
    color: var(--clr-pale-blue);
}

/* Text styles */

.details-remaining{
    font-size: 0.75rem;
    text-transform: uppercase;
    font-weight: var(--fw-700);
    color: var(--clr-grayish-blue);
}

.details-remaining span {
    font-size: 2rem;
    font-weight: var(--fw-700);
    color: var(--clr-very-dark-blue);
}

.details-range span {
    font-weight: var(--fw-700);
}

/* General styles */

.container {
    min-height: 100%;
    background-image: url(../images/bg-mobile.png);
    background-repeat: no-repeat;
    background-size: cover;

    display: flex;
    align-items: center;
    justify-content: center;
}

.card {
    width: 100%;
    max-width: 375px;
    padding: 0 1.5rem;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.navigation {
    background-color: var(--clr-dark-blue);
    border-radius: 0.75rem 6rem 0.75rem 0.75rem;
    padding: 2.5rem;
}

.navigation-bar {
    margin-top: 2rem;
    display: flex;
    align-items: center;
    gap: 1rem;
}

.nav-item {
    background-color: var(--clr-very-dark-blue);
    border: none;
    width: 3rem;
    height: 3rem;
    border-radius: 0.625rem;

    display: flex;
    align-items: center;
    justify-content: center;
}

.details-wrapper {
    position: relative;
}

.details-container {
    background-color: var(--clr-dark-blue);
    border-radius: 0.75rem;
    padding: 2rem 2rem 2.5rem;
    text-align: center;
}

.rage-indicator-container {
    background-color: var(--clr-very-dark-blue);
    border-radius: 0.625rem;
    min-width: 100%;
    min-height: 1.25rem;
    margin: 1rem 0 0.5rem;
    padding: 0.25rem;
}

.range-indicator {
    background-image: linear-gradient(var(--clr-gradient));
    padding: 0.125rem;
    width: 74%;
    min-height: 0.75rem;
    border-radius: 0.625rem;

    display: flex;
    align-items: center;
    justify-content: flex-end;
}

.range-point {
    background-color: var(--clr-pale-blue);
    border-radius: 50%;
    width: 0.625rem;
    height: 0.625rem;
}

.details-range {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.details-remaining {
    background-color: var(--clr-white);
    border-radius: 0.5rem;
    padding: 0.25rem 1.25rem 0.27rem;
    position: absolute;
    bottom: -15%;
    right: 50%;
    transform: translateX(50%);

    display: flex;
    align-items: center;
    gap: 0.5rem;
}

@media (min-width: 768px) {
    .container {
        background-image: url(../images/bg-desktop.png);
        background-color: var(--clr-very-dark-blue);
        background-size: contain;
        background-position: bottom;
    }

    .card {
        max-width: 920px;
        flex-direction: row;
        align-items: flex-end;
        gap: 2rem;
    }

    .navigation {
        min-width: 40%;
    }

    .details-wrapper {
        flex: 1;
    }

    .details-container {
        padding: 2.5rem;
        text-align: left;
    }

    
    .details-remaining {
        max-width: 150px;
        bottom: 86%;
        right: 9%;
        transform: translateX(0);
    }

    .details-remaining::after {
        content: "";
        background-color: var(--clr-white);
        width: 28px;
        height: 28px;
        position: absolute;
        right: 0;
        bottom: -38%;
        clip-path: polygon(100% 0, 0 0, 100% 100%);
    }
}